<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GncFuBangBean" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/ll"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginVertical="5dp"
                    android:background="@drawable/bg_item"
                    android:orientation="horizontal"
                    android:padding="10dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="15dp"
                        android:orientation="vertical"
                        android:layout_weight="1">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="平板车号：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.carId}"
                                    android:textColor="@color/colorPrimary"
                                    tools:text="781564621" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="货重：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.cargoWeight}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="复磅总重：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.ctotalWeight}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="复磅货重：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.ccargoWeight}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="件数：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.pc}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>


                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp">


                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="复磅状态：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.checkFlagName}'
                                    android:textColor='@{bean.checkFlagName.equals("未复磅") ? @color/text_system : @color/blue}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>



                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="目的港：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.fdest}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>


                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="计划起飞：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.scheduledTackOffHM}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="复磅人：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.username}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>



                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="复磅时间：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.copDate}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp">

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="计划航班：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.scheduleFlight}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>


                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="4"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="截载航班：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:textColor="@{bean.compareMftFlight ? @color/text_normal : @color/orange}"
                                    android:text="@{bean.mftFlight}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>
                    </LinearLayout>


                    <ImageView
                        android:layout_width="30dp"
                        android:layout_height="wrap_content"
                        android:src="@drawable/img_pda_right"
                        android:layout_gravity="center_vertical"/>
                </androidx.appcompat.widget.LinearLayoutCompat>

            </FrameLayout>

        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>

</layout>